Bug 328901 - xorg-x11-drivers requires synaptics
xorg-x11-drivers requires synaptics
Product: Fedora
Classification: Fedora
Component: xorg-x11-drivers (Show other bugs)
ia64 Linux
high Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-10-11 23:54 EDT by Doug Chapman
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-15 17:10:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Doug Chapman 2007-10-11 23:54:27 EDT
Description of problem:
The xorg-x11-drivers package requires synaptics.  The synaptics pacakge
according to its specfile is only built on x86 x86_64 and ppc.  We are in the
process of bringing up Fedora on ia64 and others are working on arm and sparc.

Since synaptics is only available on these arches it should be conditionally
required in the spec file:

%ifarch %{ix86} x86_64 ppc
Requires: synaptics

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Adam Jackson 2007-10-15 17:10:03 EDT
Yeah, that's fair, synaptics' buildsystem is a disaster anyway.

Fixed in synaptics and xorg-x11-drivers in rawhide.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.